from typing import NewType, List, Set, Dict
from logs.log import Log

# This represents an instance of panda's DataFrame
PandasDataFrame = NewType('DataFrame', object)

Session = NewType('Session', List[Log])

Timestamp = NewType('Timestamp', float)

Referer = NewType('Referer', str)

SiteTopology = NewType('SiteTopology', Dict[str, Set[Referer]])